Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZDateOperatorCollection Class Reference

## Public Member Functions
| __construct ( $monthName='month_overview')
| operatorList ()
| namedParameterPerOperator ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $MonthOverviewName
| $Operators

## Detailed Description

Definition at line 11 of file ezdateoperatorcollection.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZDateOperatorCollection::__construct | ( |  | $monthName = `'month_overview'` | ) |

Constructor

Parameters

  string | $monthName |

Definition at line 19 of file ezdateoperatorcollection.php.

## Member Function Documentation

## ◆ modify()

eZDateOperatorCollection::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 57 of file ezdateoperatorcollection.php.

References eZLocale\instance().

## ◆ namedParameterList()

eZDateOperatorCollection::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 44 of file ezdateoperatorcollection.php.

## ◆ namedParameterPerOperator()

eZDateOperatorCollection::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 36 of file ezdateoperatorcollection.php.

## ◆ operatorList()

eZDateOperatorCollection::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 28 of file ezdateoperatorcollection.php.

References $Operators.

## Member Data Documentation

## ◆ $MonthOverviewName

eZDateOperatorCollection::$MonthOverviewName

Definition at line 13 of file ezdateoperatorcollection.php.

## ◆ $Operators

eZDateOperatorCollection::$Operators

Definition at line 290 of file ezdateoperatorcollection.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- ezdateoperatorcollection.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.